##### 7.5.3.0. variablesSorted

Procedure from library `central.lib` (see central_lib).

Usage:
  variablesSorted();

Return:
  ideal, generated by sorted algebra variables

Purpose:
  computes the set of algebra variables sorted so that
  Cartan variables go first

Note:
  This is a heuristics for the computation of the center:
  it is better to compute centralizers of Cartan variables first since in this
  case we can omit solving the system of equations.

Example:

    LIB "central.lib";
    ring AA = 0,(x,y,z),dp;
    matrix D[3][3]=0;
    D[1,2]=-z;  D[1,3]=2*x;  D[2,3]=-2*y;
    def A = nc_algebra(1,D); setring A; // this algebra is U(sl_2)
    // There is only one Cartan variable - z in U(sl_2),
    // it must go 1st:
    variablesSorted();
    ==> _[1]=z
    ==> _[2]=y
    ==> _[3]=x

See also: variablesStandard.

User manual for Singular version 4.4.1, 2025, generated by texi2html.